Follow

Licensing and Compatibility

To ensure compatibility, please review the system requirements:

 

Mac: OS X 10.7 through 10.10
Adobe Photoshop: CS4 (CS5 for HDR Efex Pro 2) through CC 2015
Adobe Photoshop Elements: 9 through 13 (apart from HDR Efex Pro 2, which is not compatible with Photoshop Elements)
Adobe Lightroom: 3 through 6/CC
Apple Aperture: 3.1 or later

 

 

Windows: Vista, 7, 8
Adobe Photoshop: CS4 through CC 2015
Adobe Photoshop Elements: 9 through 13 (apart from HDR Efex Pro 2, which is not compatible with Photoshop Elements)
Adobe Lightroom: 3 through 6/CC

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments